Retail Express API 2.1

Gets specific Order Item

Gets specific Order Item

get
https://api.retailexpress.com.au/v2.1/orderitems/{id}

Path Parameters

idinteger(int32)required

Order Item id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Item

ExtendedOrderItem

Order Item Model

* Additional properties are NOT allowed.
idinteger | null(int32)

Order item id.

external_idstring | null

External unique id

order_item_typestring | null

Order item type

productobject
* Additional properties are NOT allowed.
Show Child Parameters
original_pricenumber | null(double)

Original price

sell_pricenumber(double)

Sell price

order_item_totalnumber(double)read-only

Order item total

order_item_discount_totalnumber | null(double)

Order item discount total

taxableboolean | null

Is taxable

tax_ratenumber | null(double)

Tax rate

supplier_buy_exnumber | null(double)

Supplier Buy Ex

direct_costs_exnumber | null(double)

Direct Costs Ex

cogs_exnumber | null(double)read-only

COGS Ex

fulfilment_methodstring | null

Fulfilment Method

due_datestring | null(date-time)

Due date

delivery_driverobject
* Additional properties are NOT allowed.
Show Child Parameters
delivery_zoneobject
* Additional properties are NOT allowed.
Show Child Parameters
delivery_timeobject
* Additional properties are NOT allowed.
Show Child Parameters
quantity_orderedinteger(int32)

Quantity Ordered

quantity_fulfiledinteger(int32)

Quantity Fulfiled

notesstring | null

Notes

original_order_item_idinteger | null(int32)

Original Order Item Id

return_reasonobject

Return Reason Limited Model

* Additional properties are NOT allowed.
Show Child Parameters
fulfil_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
source_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
applied_promotional_campaignsarray | null[object]

Campaign Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created on

modified_onstring | null(date-time)

Modified on

linked_purchase_orderobject

Purchase order model

* Additional properties are NOT allowed.
Show Child Parameters
serial_numberstring | null

Serial Number

order_idinteger(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderitems/{id}
 
application/json

orderpayments

Searches Order Payments by parameters

Searches Order Payments by parameters

get
https://api.retailexpress.com.au/v2.1/orderpayments

Query Parameters

idstring | null

Order Payment Id or Collection of Order Payment Ids (comma separated)
Example: 1,2,3

order_idstring | null

Order Id or Collection of Order Ids (comma separated)
Example: 1,2,3

order_numberstring | null

Order Number or Collection of Order Numbers (comma separated)
Example: 1,2,3

payment_methodstring | null

Payment Method or Collection of Payment Methods (comma separated)
Example: 1,2,3

created_sincestring | null(date-time)

Created since

filter_bystring | null

Filter by.

Available field name values: id, order_id, order_number, payment_method, created_on.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3

order_bystring | null

Order by.

Available field name values: id, order_id, order_number, payment_method, created_on.

Available direction values: asc, desc.

Example: order_id asc, order_number desc

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Order Payments data

ExtendedOrderPayment.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Order Payment Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/orderpayments
 
application/json

Gets specific Order Payment

Gets specific Order Payment

get
https://api.retailexpress.com.au/v2.1/orderpayments/{id}

Path Parameters

idinteger(int32)required

Payment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Order Payment

ExtendedOrderPayment

Order Payment Model

* Additional properties are NOT allowed.
idinteger(int32)

Order Payment Id .

external_idstring | null

External Id.

payment_methodobject

Payment Method Model

* Additional properties are NOT allowed.
Show Child Parameters
amountnumber(double)

Amount.

created_onstring(date-time)

Created On.

order_idinteger(int32)

Order Id .

order_numberstring | null

Order Number.

get/orderpayments/{id}
 
application/json

orders